using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;
using System.Collections.ObjectModel;


namespace SlowGrid
{
    class DummyData
    {
        private static Random r = new Random();

        private int a;
        private int b;
        private double c;
        private int d;
        private int e;

        public DummyData()
        {
            a = r.Next(0, 1000);
            b = r.Next(0, 10000);
            c = r.NextDouble();
            d = r.Next(100000, 999999);
            e = r.Next(1000, 9999);
        }

        public int A { get { return a; } }
        public int B { get { return b; } }
        public double C { get { return c; } }
        public int D { get { return d; } }
        public int E { get { return e; } }
    }


    public partial class Window1 : XamRibbonWindow
    {


        public Window1()
        {
            InitializeComponent();

            ObservableCollection<DummyData> data1 = new ObservableCollection<DummyData>();
            for (int i = 0; i < 500; i++)
            {
                data1.Add(new DummyData());
            }
            ObservableCollection<DummyData> data2 = new ObservableCollection<DummyData>();
            for (int i = 0; i < 10000; i++)
            {
                data2.Add(new DummyData());
            }

            dataGrid01.DataSource = data1;
            dataGrid02.DataSource = data2;
        }
    }
}